package com.huiju.estateagents.sample.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.sample.entity.TaContact;
import com.huiju.estateagents.sample.mapper.TaContactMapper;
import com.huiju.estateagents.sample.service.ITaContactService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 联系人表  服务实现类
 * </p>
 *
 * @author fxf
 * @since 2020-03-18
 */
@Service
public class TaContactServiceImpl extends ServiceImpl<TaContactMapper, TaContact> implements ITaContactService {

    @Autowired
    TaContactMapper taContactMapper;

    @Override
    public IPage<TaContact> taContactInfoBySampleId(String id, Integer pageNum, Integer pageSize) {
        IPage<TaContact> pg = new Page<>(pageNum, pageSize);
        return  taContactMapper.taContactInfoBySampleId(pg, id);
    }
}
